#
# martin.wibbels@novay.nl
#
from _landmarks import *

KPosLmNullItemId = 0;
KPosLmNullGlobalCategory = 0;

ENoAttribute        = 0x0000;
ELandmarkName       = 0x0001;
ECategoryName       = 0x0001;
EPosition           = 0x0002;
ECoverageRadius     = 0x0004;
ECategoryInfo       = 0x0008;
EIcon               = 0x0010;
EDescription        = 0x0020;
EAllAttributes      = 0xFFFF;  

ECategorySortOrderNone           = 0;
ECategorySortOrderNameAscending  = 1;
ECategorySortOrderNameDescending = 2;

ECompositionAND = 0;

EPositionFieldNone = 0; #Used to signify a blank field.
EPositionFieldComment = 1;

EPositionFieldSpeedCapabilitiesBegin		= 100;	# Speed Capabilities
EPositionFieldHorizontalSpeed = 101;
EPositionFieldHorizontalSpeedError = 102;
EPositionFieldVerticalSpeed = 103;
EPositionFieldVerticalSpeedError = 104;

EPositionFieldDirectionCapabilitiesBegin	= 200;	# Direction Capabilities
EPositionFieldTrueCourse = 201;
EPositionFieldTrueCourseError = 202;
EPositionFieldMagneticCourse = 203;
EPositionFieldMagneticCourseError = 204;

EPositionFieldCompassCapabilitiesBegin		= 300;	# Compass Capabilities
EPositionFieldHeading = 301;
EPositionFieldHeadingError = 302;
EPositionFieldMagneticHeading = 303;
EPositionFieldMagneticHeadingError = 304;

EPositionFieldAddressCapabilitiesBegin		= 400;	# Address Capabilities
EPositionFieldCountry = 401;
EPositionFieldCountryCode = 402;
EPositionFieldState = 403;
EPositionFieldCity = 404;
EPositionFieldDistrict = 405;
EPositionFieldStreet = 406;
EPositionFieldStreetExtension = 407;
EPositionFieldLocationName = 408;
EPositionFieldPostalCode = 409;
EPositionFieldLocality = 410;
EPositionFieldCrossing1 = 411;
EPositionFieldCrossing2 = 412;
EPositionFieldCounty = 413;

EPositionFieldBuildingCapabilitiesBegin		= 500;	# Building Capabilities
EPositionFieldBuildingName = 501;
EPositionFieldBuildingFloor = 502;
EPositionFieldBuildingRoom = 503;
EPositionFieldBuildingZone = 504;
EPositionFieldBuildingTelephone = 505;

EPositionFieldNMEACapabilitiesBegin			= 600;	# NMEA Capabilities
EPositionFieldNMEASentences = 601;
EPositionFieldNMEASentencesStart = 602;

EPositionFieldSatelliteCapabilitiesBegin	= 700;	# Satellite Capabilities
EPositionFieldSatelliteNumInView = 701;
EPositionFieldSatelliteNumUsed = 702;
EPositionFieldSatelliteTime = 703;
EPositionFieldSatelliteHorizontalDoP = 704;
EPositionFieldSatelliteVerticalDoP = 705;
EPositionFieldSatelliteTimeDoP = 706;
EPositionFieldSatellitePositionDoP = 707;
EPositionFieldSatelliteSeaLevelAltitude = 708;
EPositionFieldSatelliteGeoidalSeparation = 709,

EPositionFieldMediaCapabilitiesBegin		= 800;	# Media Capabilities
EPositionFieldMediaLinks = 801;
EPositionFieldMediaLinksStart = 802;
EPositionFieldMedaiLinksEnd					= 899;

EPositionFieldProprietaryFieldsBegin		= 0x8000;


EAscending = 0;
EDescending = 1;

KPosLmMaxNumOfMatchesUnlimited = -1;

ECategorySortOrderNone = 0;
ECategorySortOrderNameAscending = 1;
ECategorySortOrderNameDescending = 2;

ELmkOnlyName            = 0x0000; #    // name field is always shown
ELmkCategory            = 0x0001;
ELmkStreet              = 0x0002;
ELmkCity                = 0x0004;
ELmkStateProvince       = 0x0008;
ELmkCountry             = 0x0010;
ELmkPostalZIP           = 0x0020;
ELmkLatitude            = 0x0040;
ELmkLongitude           = 0x0080;
ELmkPositionAccuracy    = 0x0100;
ELmkAltitude            = 0x0200;
ELmkAltitudeAccuracy    = 0x0400;
ELmkAll                 = 0xFFFF; #    // all fields are shown
ELmkDescription         = 0x0800;
ELmkPhoneNumber         = 0x1000;
ELmkWebAddress          = 0x2000;        

ELmkEditor              = 0;
ELmkViewer  			= 1;

EMediaNotPresent = 0;
EMediaUnknown = 1;
EMediaFloppy = 2;
EMediaHardDisk = 3;
EMediaCdRom = 4;
EMediaRam = 5;
EMediaFlash = 6;
EMediaRom = 7;
EMediaRemote = 8;
EMediaNANDFlash = 9;

EName = 1;

EPosLmCollDataNone = 0;
EPosLmCollDataCollectionName = 1;
EPosLmCollDataCollectionDescription = 2;
EPosLmCollDataContentSpecificDataBegin = 0x8000;

KPosLastParsedLandmark = 0xFFFFFFFF;

EDefaultOptions = 0;
EIncludeCategories = 0x01;
EIncludeGlobalCategoryNames = 0x02;
ESupressCategoryCreation = 0x04;
